UPI Autopay - Mandate Status Callback

This callback is triggered by Decentro to the platform when the customer approves the mandate request on the PSP app.

Overview

Decentro triggers this callback to a pre-configured endpoint after the payer authorizes the mandate registration request on their UPI app or if the registration expires.

The platform can have the callback endpoints whitelisted by dropping a mail to [email protected].

Flow

Below is the flow for using this callback.

  • The platform initiates the mandate registration request using the Create Mandate API.
  • The payer authorizes the request on the UPI app using their MPIN.
  • Decentro triggers this callback to the platform's endpoint as configured with the registration status if authorized.
  • The platform can reconcile the registration request using the reference_id or decentro_mandate_id parameters passed in the Create Mandate API.
  • The platform can also check the registration status using the Get Mandate Status API.

Decentro triggers the callback for the below scenarios.

  • Successful registration of a mandate
  • Unsuccessful registration of a mandate
  • Expiry of the mandate request
  • Pause, unpause, revoke or update actions on a mandate
  • Completion of the mandate

Mandate Status

StatusDescription
ActiveMandate is successfully registered & in active state. These mandates can be used for presentations.
RevokedMandate is revoked/ cancelled. These mandates are not eligible for presentations. (Not in use)
PendingMandate registration link is created & no action is performed on the link yet.
ExpiredMandate registration link is expired. No action is performed on the link by the user.
CompletedWhen mandate end date is passed or all scheduled presentations are completed. No further presentations allowed.
RejectedWhen mandate registration is failed.
PausedMandate is paused by the end user. No presentations allowed during paused state.
FailedWhen mandate registration is failed.
CancelledMandate is revoked/ cancelled. These mandates are not eligible for presentations.

API Endpoints

EnvironmentEndpoint
Staging / Sandboxhttps://your.custom.endpoint.com
Productionhttps://your.custom.endpoint.com
Body Params
string
required

Status of the mandate

string

The description of the status of the mandate.

string

The status of the registration attempt of the mandate.

string

The description of the status of the registration attempt of the mandate.

string

The unique decentro Txn Id received during mandate creation.

int32

The number of times the callback is attempted

string

The timestamp of the callback

string

The URN of the entity against which the mandate was registered.

string

The reference ID passed by the platform at the time of execution

string

The timestamp when the mandate was created

string

Reference number for the registration

string

UPI handle against which the mandate is registered

string

Unique decentro mandate ID assigned for each mandate.

string

Mandate registration amount

string

Amount rule as defined at the time of mandate creation

string

Payer name against whom the mandate is registered

string

The Name of the of the sub-merchant onboarded account

string

Next debit date. Applicable if frequency is not ASPRESENTED

string

Name of the mandate holder as passed during mandate creation

string

Mandate registration frequency

string

Mandate start date

string

Mandate end date

presentation_summary
object

The summary of all presentation count

string

The rule type of the mandate as passed during mandate creation

string

Blocking the funds during the debit presentation. Only true to selceted merchants.

string

The flag denotes whether the end user will be able to revoke a mandate.

string

The last action performed on the mandate. Example: CREATE, UPDATE, PAUSE

string

The timestamp when the last action of performed on the mandate.

string

The authentication timestamp when the last action was performed on the mandate.

string

The NPCI txn ID of the mandate registration

string

Original Callback ID. Shared in case of retries only

string

Callback ID provided by Decentro

Headers
string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json